Skip to main content

Lookup NIN

Request

[GET]
{{baseURL}}/api/v1/kyc/nin
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameters

ParameterTypeDescriptionRequired
nin *stringA valid ninrequired

Sample response

[200]

        {
            "entity": {
                "first_name": "John",
                "last_name": "Doe",
                "gender": "Male",
                "middle_name": "",
                "photo": "/9j/4AAQSkZJRgABAgAAAQABAAD/2wBDAAgGBgc...",
                "date_of_birth": "1982-01-01",
                "phone_number": "08012345678",
                "employment_status": "unemployment",
                "marital_status": "Single"
            }
        } 

Response Fields

FieldTypeDescription
entityobjectContains the NIN holder’s identity details
entity.first_namestringFirst name of the NIN holder
entity.last_namestringLast name of the NIN holder
entity.genderstringGender of the NIN holder
entity.middle_namestringMiddle name of the NIN holder
entity.photostringBase64-encoded photograph of the NIN holder
entity.date_of_birthstringDate of birth in YYYY-MM-DD format
entity.phone_numberstringPhone number linked to the NIN
entity.employment_statusstringEmployment status of the NIN holder
entity.marital_statusstringMarital status of the NIN holder

Lookup NIN Advance

Request

[GET]
{{baseURL}}/api/v1/kyc/nin/advance

Query parameters

ParameterTypeDescriptionRequired
nin *stringA valid ninrequired

Sample response

[200]

{
    "entity": {
        "nin": "12345678910",
        "first_name": "John",
        "last_name": "Doe",
        "middle_name": "Anon",
        "date_of_birth": "1909-01-11",
        "phone_number": "081123456798",
        "photo": "/9j/4AAQSz\nQBKtKKaOgp460hjlpw4pmcGnA8Uhj6Mc0g6UCg...",
        "gender": "Male",
        "employment_status": "unemployed",
        "marital_status": "single",
        "birth_country": "nigeria",
        "birth_lga": "Ikeja",
        "birth_state": "Lagos",
        "educational_level": "tertiary",
        "maiden_name": "",
        "nspoken_lang": "YORUBA",
        "profession": "STUDENT",
        "religion": "christianity",
        "residence_address_line_1": "2, ANON STREET",
        "residence_address_line_2": "",
        "residence_status": "birth",
        "residence_town": "",
        "residence_lga": "Ikeja West",
        "residence_state": "Ikeja",
        "ospoken_lang": "ENGLISH",
        "origin_lga": "Ikeja",
        "origin_place": "",
        "origin_state": "Lagos",
        "height": "171",
        "p_first_name": "",
        "p_middle_name": "",
        "p_last_name": "",
        "tax_id": "211111111111111111",
        "tax_residency": "Lagos State"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the NIN holder’s identity details
entity.ninstringNational Identification Number
entity.first_namestringFirst name of the NIN holder
entity.last_namestringLast name of the NIN holder
entity.middle_namestringMiddle name of the NIN holder
entity.date_of_birthstringDate of birth in YYYY-MM-DD format
entity.phone_numberstringPhone number linked to the NIN
entity.photostringBase64-encoded photograph of the NIN holder
entity.genderstringGender of the NIN holder
entity.employment_statusstringEmployment status of the NIN holder
entity.marital_statusstringMarital status of the NIN holder
entity.birth_countrystringCountry of birth
entity.birth_lgastringLocal Government Area of birth
entity.birth_statestringState of birth
entity.educational_levelstringHighest level of education attained
entity.maiden_namestringMaiden name, if applicable
entity.nspoken_langstringNative spoken language
entity.professionstringProfession or occupation
entity.religionstringReligious affiliation
entity.residence_address_line_1stringPrimary residential address line
entity.residence_address_line_2stringSecondary residential address line
entity.residence_statusstringResidential status (e.g., birth, rental)
entity.residence_townstringTown of residence
entity.residence_lgastringLocal Government Area of residence
entity.residence_statestringState of residence
entity.ospoken_langstringOther spoken language
entity.origin_lgastringLocal Government Area of origin
entity.origin_placestringPlace of origin
entity.origin_statestringState of origin
entity.heightstringHeight in centimeters
entity.p_first_namestringNext-of-kin first name
entity.p_middle_namestringNext-of-kin middle name
entity.p_last_namestringNext-of-kin last name
entity.tax_idstringTax Identification Number
entity.tax_residencystringState of tax residency

Test Credentials for Sandbox

Kindly use this Test NIN in sandbox Environment nin = 70123456789